using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GameEvents : MonoBehaviour
{
    [HideInInspector] public static GameEvents instance;

    private void Awake()
    {
        instance = this;
    }

    public event Action onHitEvent;

    public void TriggerOnHitEvent()
    {
        onHitEvent?.Invoke();
    }

    public event Action onGameLostEvent;

    public void TriggerOnGameLostEvent()
    {
        onGameLostEvent?.Invoke();
    }

    public event Action onGameRestartEvent;

    public void TriggerOnGameRestartEvent()
    {
        onGameRestartEvent?.Invoke();
    }

    public event Action onNextLevelEvent;

    public void TriggerOnNextLevelEvent()
    {
        onNextLevelEvent?.Invoke();
    }
}
